Modular_implem< _Storage_t, _Compute_t, _Residu_t > Class Template Referenceabstract

This class implement the standard arithmetic with Modulo Elements. More...

`#include <modular-implem.h>`

Inheritance diagram for Modular_implem< _Storage_t, _Compute_t, _Residu_t >:
[legend]

## Detailed Description

template<typename _Storage_t, typename _Compute_t, typename _Residu_t>
class Givaro::Modular_implem< _Storage_t, _Compute_t, _Residu_t >

This class implement the standard arithmetic with Modulo Elements.

- The representation of an integer a in Zpz is the value a % p
- m max is 46341
- p max is 46337

The documentation for this class was generated from the following file:

- modular-implem.h